=== debian/changelog ===
crispy-doom (7.1-1) unstable; urgency=medium

  * New upstream version 7.1
    + Fix compilation on GCC 15 (Closes: #1096480)
  * Bump debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Drop Rules-Requires-Root line from debian/control
  * Bump Debian packaging copyright year to 2025

 -- Fabian Greffrath <fabian@debian.org>  Fri, 26 Sep 2025 09:48:43 +0200
