=== debian/control ===
Source: crispy-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bash-completion,
 libpng-dev,
 libsamplerate0-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libsdl2-dev,
 python3
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
Homepage: https://fabiangreffrath.github.io/crispy-homepage

Package: crispy-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager
Provides:
 doom-engine,
 heretic-engine,
 hexen-engine,
 strife-engine
Breaks:
 freedoom (<< 0.12.1)
Description: Limit-raising medium-resolution Doom engine based on Chocolate Doom
 Crispy Doom is a friendly fork of Chocolate Doom that provides a higher display
 resolution, removes the static limits of the Doom engine and offers further
 optional visual, tactical and physical enhancements while remaining entirely
 config file, savegame, netplay and demo compatible with the original.
