=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"'

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	dh_auto_install --max-parallel=1 -- \
		SETUP_BINARIES=crispy-setup \
		DOC_FILES="README.md" \
		execgamesdir=/usr/games \
		appdatadir=/usr/share/metainfo
	# superfluous docs
	rm -f  debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
	       debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \
	       debian/crispy-doom/usr/share/doc/crispy-doom/NOT-BUGS.md
	rm -fr debian/crispy-doom/usr/share/doc/crispy-heretic \
	       debian/crispy-doom/usr/share/doc/crispy-hexen \
	       debian/crispy-doom/usr/share/doc/crispy-strife
	find 'debian/' -name 'crispy-server*' -delete
