=== debian/watch ===
Version: 5
Template: GitHub
Owner: fabiangreffrath
Project: crispy-doom
